package com.huimv.manager.modular.controller;

import com.huimv.manager.constant.CommonConstant;
import com.huimv.manager.modular.entity.MobileUnit;
import com.huimv.manager.modular.service.MobileUnitService;
import com.huimv.manager.result.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

/**
 * @Author yinhao
 * @Date 2021/4/20 11:19
 * @Description
 */

@CrossOrigin
@RestController
@RequestMapping("/unitManage")
public class MobileUnitManageController {

    @Autowired
    private MobileUnitService mobileUnitService;

    @GetMapping("/findAll")
    public R findAll(@RequestParam(value = "pageNum", defaultValue = CommonConstant.PAGE_NUM_STR) Integer pageNum,
                     @RequestParam(value = "pageSize", defaultValue = CommonConstant.PAGE_SIZE_STR) Integer pageSize,
                     String keyword) {
        Page<MobileUnit> page;
        if (StringUtils.isEmpty(keyword)) {
            page = mobileUnitService.findAll(pageNum, pageSize);
        } else {
            page = mobileUnitService.findAllByKeyword(pageNum, pageSize, keyword);
        }
        return R.ok().put("page", page);
    }

    @PostMapping("/save")
    public R save(MobileUnit mobileUnit) {
        mobileUnitService.save(mobileUnit);
        return R.ok("保存成功!");
    }

    @GetMapping("/deleteById")
    public R deleteById(@RequestParam(value = "id") Integer id) {
        mobileUnitService.deleteById(id);
        return R.ok("删除成功!");
    }

    @PostMapping("/batchDeleteByIds")
    public R batchDeleteByIds(Integer[] ids) {
        mobileUnitService.batchDeleteByIds(ids);
        return R.ok("批量删除成功!");
    }
}
