package com.huimv.manager.modular.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.*;
import java.io.Serializable;

@Data
@Entity
@Table(name = "mobile_unit")
public class MobileUnit implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 单位全称
     */
    @ApiModelProperty("单位全称")
    @Column(name = "full_name")
    private String fullName;

    /**
     * 单位简称
     */
    @ApiModelProperty("单位简称")
    @Column(name = "short_name")
    private String shortName;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @Column(name = "remark")
    private String remark;

}
