package com.huimv.manager.modular.repository;

import com.huimv.manager.modular.entity.MobileUnit;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import javax.transaction.Transactional;
import java.util.List;

public interface MobileUnitRepository extends JpaRepository<MobileUnit, Integer>, JpaSpecificationExecutor<MobileUnit> {

    Page<MobileUnit> findByFullNameLikeOrShortNameLike(String fullName, String shortName, Pageable pageable);


    Page<MobileUnit> findByFullNameLike(String fullName,Pageable pageable);

//    @Modifying
//    @Transactional
//    @Query(nativeQuery = true,value="delete from mobile_unit mu where mu.id in (:list) ")
//    void batchDeleteByIds(@Param("list") List<Integer> list);


    void deleteMobileUnitByIdIn(@Param("list") List<Integer> list);
}