package com.huimv.manager.modular.service.impl;

import com.huimv.manager.modular.entity.MobileUnit;
import com.huimv.manager.modular.repository.MobileUnitRepository;
import com.huimv.manager.modular.service.MobileUnitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @Author yinhao
 * @Date 2021/4/20 12:00
 * @Description
 */
@Service
public class MobileUnitServiceImpl implements MobileUnitService {

    @Autowired
    private MobileUnitRepository mobileUnitRepository;


    @Override
    public Page<MobileUnit> findAll(Integer pageNum, Integer pageSize) {
        return mobileUnitRepository.findAll(PageRequest.of(pageNum - 1, pageSize));
    }

    @Override
    public Page<MobileUnit> findAllByKeyword(Integer pageNum, Integer pageSize, String keyword) {
        String condition = "%" + keyword + "%";
        return mobileUnitRepository.findByFullNameLikeOrShortNameLike(condition,condition, PageRequest.of(pageNum - 1, pageSize));
    }

    @Override
    public void save(MobileUnit mobileUnit) {
        boolean isAdd = null == mobileUnit.getId();
        saveOrUpdateMobileUnit(isAdd, mobileUnit);
    }

    private void saveOrUpdateMobileUnit(boolean isAdd, MobileUnit mobileUnit) {
        MobileUnit entity = new MobileUnit();
        entity.setFullName(mobileUnit.getFullName());
        entity.setShortName(mobileUnit.getShortName());
        entity.setRemark(mobileUnit.getRemark());

        if (isAdd) {
            mobileUnitRepository.saveAndFlush(entity);
            return;
        }
        entity.setId(mobileUnit.getId());
        mobileUnitRepository.saveAndFlush(entity);
    }

    @Override
    public void deleteById(Integer id) {
        mobileUnitRepository.deleteById(id);
    }

    @Override
    public void batchDeleteByIds(Integer[] ids) {
        List<Integer> list = new ArrayList<>();
        Collections.addAll(list, ids);
//        mobileUnitRepository.batchDeleteByIds(list);
        mobileUnitRepository.deleteMobileUnitByIdIn(list);
    }
}
