package com.huimv.mobile.controller;

import com.huimv.mobile.result.Result;
import com.huimv.mobile.service.MobileUserService;
import com.huimv.mobile.utils.CheckNumber;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.imageio.ImageIO;
import javax.servlet.http.HttpServletResponse;
import java.awt.image.BufferedImage;
import java.io.IOException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.mobile.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/4/19 0019 14:22
 **/
@RestController
@RequestMapping("/mobileUser")
public class MobileUserController {

    @Autowired
    private MobileUserService userService;

    @RequestMapping("/register")
    public Result register(String account,String password){
        return userService.register(account,password);
    }



    private static String text;
    //获取验证码
    @RequestMapping(value = "getCheckNumber", produces = {"text/html;charset=UTF-8"})
    public void getCheckNumber(HttpServletResponse response) throws IOException {
        //创建对象
        CheckNumber checkNumber = new CheckNumber();
        //获取图片对象
        BufferedImage image = checkNumber.getImage();
        //获得图片的文本内容
        text = checkNumber.getText();
        //把图片返回前端
        ImageIO.write(image, "JPEG", response.getOutputStream());
    }

    @RequestMapping("/checkNumber")
    public Result checkNumber(String userCaptcha){
        //获取用户输入的校验码并进行比较
        // String sessionCheckNumber = (String) session.getAttribute("checkNumber");
        System.out.println(userCaptcha +":"+ text);
        if (text.equalsIgnoreCase(userCaptcha)) {
            return new Result(10001,"验证码正确",true);
        }
        return new Result(10002,"验证码错误",false);
    }


}
